Tag: android-build

Für Fragen rund um den build-Prozess von Android-Anwendungen, für alle build-tools.

jack-admin: Befehl nicht gefunden

Anzahl der Antworten 1 Antworten
Ich bin mit Ubuntu 14.04.5 LTS zu kompilieren Android 7.1.1 auf einer VM in windows, mit 11 GB RAM zugewiesen. Android hält nicht erstellt werden wegen "out of memory-Fehler", wie unten dargestellt. Out of memory error (version

aar-Unterstützung in Android.mk

Anzahl der Antworten 3 Antworten
Ich bin dabei android-custom-ROM-Entwicklung jetzt. das build-system von aosp basiert auf Android.mk, Aber ich möchte einige aar-Bibliotheken, ist es möglich, aar-libaries in Android.mk ? InformationsquelleAutor Juude | 2015-07-03

Was ist der Unterschied zwischen "Android-Entwicklung/SDK-tools"?

Anzahl der Antworten 2 Antworten
Was ist der Unterschied zwischen den Android Development Tools und die Android SDK Tools und die Android SDK Plattform-tools und die Android SDK Build-tools? ... Und warum nicht zusammen, einige von Ihnen in weniger Gruppen? Die 4

Android-Projekt, Build-Ziel

Anzahl der Antworten 1 Antworten
Ich habe eine bestehende Anwendung, die eine minimale android:minSdkVersion Android 2.1 Bemerkte ich meine app läuft träge auf dem Tablet Android (3.0+) damit wollte ich zum aktivieren der hardware-Beschleunigung, die Hinzugefügt wurde, die in Android 3.0. Wo

Nicht invoke-Methode systemProperty() on null object — android studio und gradle

Anzahl der Antworten 1 Antworten
Stehe ich vor einem seltsamen Ausnahme beim erstellen meiner app. Folgendes ist mein Projekt specificbuild.gradle-Datei im Haupt-Programm-Ordner(nicht im app-Ordner). //Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter()

android.os.Dienste-Verwalter nicht gefunden beim Bau

Anzahl der Antworten 1 Antworten
Ich erhalte folgenden Fehler, beim Bau der android-Quelle, wo habe ich meine eigene app, die verwendet android.os.Dienste-Verwalter. cannot find symbol symbol : class ServiceManager location: package android.os import android.os.ServiceManager; Warum bin ich vor diesem Fehler, eigentlich importieren

Zugreifen können ActivityCompatApi23 Klasse

Anzahl der Antworten 4 Antworten
Ich bin mit der Laufzeit Probleme mit meinem gradle-Datei. Ich fügte hinzu, diese compile 'com.google.android:flexbox:0.3.1' als compile-time-dependency zu meinem Gradle-Datei. Habe ich einen Fehler festgestellt und Hinzugefügt, dies in meinem Projekt-Ebene Gradle-Datei. maven { url "https://maven.google.com" }

Android Build - Emulator stecken, die auf android-boot-logo

Anzahl der Antworten 1 Antworten
Ich war das Experimentieren mit der Android-build-system für ein paar Tage. Ich konnte herunterladen und bauen das system erfolgreich wie beschrieben hier. Ich baute den master-Zweig. Anstatt emulator Befehl allein ich habe den Befehl mit den Parametern

Wie Baue ich meine eigene Android SDK

Anzahl der Antworten 2 Antworten
Arbeite ich an meinen eigenen android-Gerät, das hat viele neue APIs (aber @hide eingerichtet). Mein Ziel ist ein android-sdk zum entwickeln und benutzen Sie diese neuen APIs. Also meine Fragen ist : Wie Baue ich meine eigene

Hinzufügen von ein vorkompiliertes binary in Android-Quelle

Anzahl der Antworten 3 Antworten
Habe ich eine native Binärdatei, die ich einschließen möchten, in den Android-source-code, so dass ich beim kompilieren meiner binary wird in /system/bin . Habe ich kopiert meine binary in den Ordner /prebuilt/android-arm/meine-binary , und ich habe eine

Gradle kompilieren Fehler "Keine Signatur der Methode"

Anzahl der Antworten 1 Antworten
Wenn ich versuche zu laufen ./gradlew build.gradle vom terminal, habe ich immer folgenden Fehler: > No signature of method: org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.compile() is applicable for argument types: (org.gradle.api.internal.project.DefaultProject_Decorated) values: [project ':TestMobile'] Possible solutions: module(java.lang.Object) Habe ich versucht, die Anwendung

Android SDK Manager nicht aktualisieren SDK build-tools, revision 18.1.1

Anzahl der Antworten 3 Antworten
Unten ist die Befehlszeile Ergebnis (die GUI ist sehr ähnlich): C:\Program Files (x86)\Android\android-sdk\tools>android update sdk -u -a -t 3 .... licensing stuff Installing Archives: Preparing to install archives Downloading Android SDK Build-tools, revision 18.1.1 URL not found:

Build-Fehler nach Android Studio 3.2.1 upgrade

Anzahl der Antworten 8 Antworten
Baue ich ein Beispiel-Projekt von Udacity. Dies funktionierte gut bis jetzt, aber nach dem Upgrade auf Android Studio 3.2.1, ich bin mit dem build folgenden Fehler. Gradle-version: 4.6 Projekt link: https://github.com/udacity/ud851-Sunshine/tree/student/S02.02-Solution-Menus Could not find com.android.tools.build:aapt2:3.2.1-4818971**. Searched in

GC overhead limit exceeded beim Bau von android-Quelle

Anzahl der Antworten 2 Antworten
****[ 35% 11837/33004] build out/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/Klassen.jack FEHLER:/bin/bash -c "(mkdir -p/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/) && java -Xmx3500m -jar out/host/linux-x86/framework/jill.jar --output out/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/Klassen.jack.tmpjill.jack prebuilts/sdk/21/android.jar) && (mkdir -p/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/Klassen.jack.tmpjill.res) && (unzip-qo prebuilts/sdk/21/android.jar -d out/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/Klassen.jack.tmpjill.res) && (find out/target/common/obj/JAVA_LIBRARIES/sdk_v21_intermediates/Klassen.jack.tmpjill.res -iname \"*.Klasse\" -löschen) && (JACK_VERSION=2.26.RELEASE out/host/linux-x86/bin/jack @build/core/Buchse-Standard.args --verbose-Fehler -D-Buchse.import.Ressource.Politik=halten-ersten

Was ist der Unterschied zwischen compileSdkVersion und targetSdkVersion?

Anzahl der Antworten 10 Antworten
Ich habe mir die Dokumentation für das bauen mit Gradle, aber ich bin mir noch nicht sicher, was der Unterschied zwischen compileSdkVersion und targetSdkVersion ist. Alle es sagt, ist: Den compileSdkVersion - Eigenschaft gibt die Zusammenstellung Ziel.

Android Studio nicht laufen-Anwendung

Anzahl der Antworten 3 Antworten
Ich habe ein Problem, wo die app, die ich arbeite, ist nicht der Bereitstellung auf dem Gerät, wenn ich bereit bin es zu testen. Es verwendet, um es gerade noch in Ordnung, aber dann habe ich aktualisiert

Gewusst wie: hinzufügen von externen Bibliotheken, um meine Anwendung in android

Anzahl der Antworten 4 Antworten
Ich habe eine Anwendung, die ich habe, zu betrachten, da eine übung. Es hat nur wenige externe Bibliotheken wie SlidingMenu, ImageViewZoom und ActionbarSherlock. Habe ich heruntergeladen und extrahiert diese Bibliotheken, aber ich habe keine Ahnung, wie, um

Datei die mit com.android.Unterstützung.constraint:constraint-layout:1.0.0-alpha2

Anzahl der Antworten 3 Antworten
Ich bin nicht sehr vertraut mit Android, aber ein Freund von meinem Freund sagte, machte er eine app für meine website auf seinem computer. So schickte er mir die source Datei und ich habe versucht, die Anwendung

Building android - how to load kernel image in mkbootimg Befehl?

Anzahl der Antworten 1 Antworten
[email protected]:/media/Source/ICS_SOURCE# out/host/linux-x86/bin/mkbootimg --kernel zImage --ramdisk ramdisk.img.gz -o --boot.img error: could not load kernel 'zImage' ich bin immer diese Fehlermeldung wieder und wieder.. Wo ich kernel-image um diesen Befehl auszuführen?? eigentlich nach dem build source-code habe ich nicht

Android: Wie Baue ich ein .apk aus dem terminal?

Anzahl der Antworten 3 Antworten
Ich bin entwickeln eine dynamische app-generator, so dass ich brauchen würde, um den Befehl ausführen auf einem runtime-basis mit Hilfe von Java auf einem server InformationsquelleAutor Vijay Dhas Gilbert | 2011-12-13

Wie führe ich den Android-Emulator, nachdem ein Build?

Anzahl der Antworten 1 Antworten
Also ich habe den Quellcode herunterladen erfolgreich, baute es erfolgreich, und kann führen Sie den emulator erfolgreich. Allerdings wird es niemals Stiefel in das eigentliche Bild. Stattdessen Blicke ich in das terminal und es gibt mir die

Android-build-system gradle

Anzahl der Antworten 2 Antworten
Ich die Prüfung Androiden neues build-system, das noch in beta ist. Habe ich umgesetzt, einige code generiert folgende Fehlermeldung: No such property: resolutionResult for class: org.gradle.api.internal.artifacts.ivyservice.ErrorHandlingArtifactDependencyResolver$ErrorHandlingResolvedConfiguration bauen.gradle buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.2'

Android-Konsole Fehler: “erfordert .Klasse-Kompatibilität eingestellt auf 5.0. Bitte fix project properties"

Anzahl der Antworten 6 Antworten
Habe gerade eine frische Installation von Eclipse 3.5 und die Android-Plattform (SDK und ADT). Ich habe dies ein paar mal auf verschiedenen Rechnern und ich bin mir ziemlich sicher ich habe alles richtig konfiguriert. Versucht importieren ein

Fehler: package com.google.android.gcm ist nicht vorhanden - die Nach der Migration zu Gradle

Anzahl der Antworten 3 Antworten
Ich habe ein problem mit einem alten Projekt, das entwickelt wurde, IntelliJ, ohne Gradle. Ich wollte für die Migration zu Android Studio und Gradle, aber ich erlebe eine Menge Probleme. Da das Projekt war schon ziemlich alt,

Entfernen AOSP-apps bauen

Anzahl der Antworten 1 Antworten
Erste, den ich versuche zu bauen, ein Android-Plattform aus dem Android-Quellcode und ohne stock apps wie LiveWallpapers, Kalender, Kontakte, Rechner, Telefon, Einstellungen, etc. Um es zu tun, ich bin ändern der Dateien in /build/target/product/, speziell die variable

java.util.zip.ZipException: doppelter Eintrag: android/support/v7/graphics/drawable/DrawableUtils.class

Anzahl der Antworten 2 Antworten
Ich nur meine aktualisierten support-Bibliothek von 23.0.0 zu 23.1.0 und wenn ich jetzt das Projekt erstellen, bekomme ich diese Fehlermeldung : Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.transform.api.TransformException: java.util.zip.ZipException: duplicate entry: android/support/v7/graphics/drawable/DrawableUtils.class Hier ist meine app level

Die Ausgabe-Glas ist leer. Haben Sie geben Sie die richtige '- ' Optionen?

Anzahl der Antworten 3 Antworten
Ich versuche zu bauen, ein release APK-Datei von ant, und das ist was ich m immer auf meine Konsole D:\AndroidSDK\android-sdk_r18-windows\android-sdk-windows\tools\ant\build.xml:595: The following error occurred while executing this line:D:\AndroidSDK\android-sdk_r18windows\android-sdk-windows\tools\ant\build.xml:864: The output jar is empty. Did you specify the

Android Studio: Error:Execution failed for task ':app:dexDebug'

Anzahl der Antworten 7 Antworten
Bin ich mit Android Studio zum ersten mal und ich bekam die folgende Fehlermeldung nach dem Import das Projekt (vorher war es ein eclipse-Projekt, wo ich hatte die Probleme auch.) Ist hier die information gegeben: Error:Execution failed

Ändern der apk Ausgabe-Ordner in Gradle 4.1

Anzahl der Antworten 3 Antworten
Möchte ich ändern Sie die APK - output folder - und das ist das, was ich zu tun: applicationVariants.all { variant -> variant.outputs.all { def filePath = "${rootProject.rootDir.absolutePath}/apks/${variant.name}" println("My Path: " + filePath) outputFileName = filePath }

Nicht bauen kann actionbarsherlock: BuildConfig nicht gelöst werden können, um eine variable

Anzahl der Antworten 3 Antworten
Ich importierte die actionbarsherlock-Ordner in den Arbeitsbereich mit "Importieren -> Bestehenden Android Code Into Workspace". Dann habe ich dafür gesorgt, das folgende: Im manifest: <uses-sdk android:minSdkVersion="7" android:targetSdkVersion="16"/> Eigenschaften -> Android: Build-Ziel ist API 16 (Android 4.1.2) und

Error-Bau-Projekt in Android Studio "Error: No resource found entspricht der angegebene name (bei ____ mit dem Wert" @drawable/<name>')

Anzahl der Antworten 3 Antworten
Ich gesucht habe alle über Google, stackoverflow und anderen android-Programmierung von Webseiten, haben viele Anregungen für Menschen, die falsch abgelegte Dateien von einem Ordner zu einem anderen und so weiter.. Aber keine, die das problem veranschaulichen, die

Wie um zu zeigen, Kompilierungs-Fehler in android studio

Anzahl der Antworten 5 Antworten
Ich will wissen, wie um zu zeigen, Kompilierungs-Fehler in Android-Studio. Ich habe versucht, die folgenden: Android Studio: Wo ist die Compiler-Fehler-Ausgabe-Fenster? Aber es zeigt sich ein weiterer Fehler: javac: invalid target release: 1.8 Wer kennt die tatsächliche

sofortige Ausführung von java.lang.OutOfMemoryError: GC overhead limit exceeded

Anzahl der Antworten 3 Antworten
Ich habe ein Upgrade auf Android Studio 2.1 und ich habe diesen Fehler, während ich versuche zu build & run my corporate großes Projekt: Execution failed for task ':app:transformClassesWithDexForMyAppDebug'. com.android.bauen.api.verwandeln.TransformException: com.android.ide.common.Prozess.ProcessException: java.util.gleichzeitige.ExecutionException: java.lang.OutOfMemoryError: GC overhead limit exceeded

Android-source-code kompilieren-Fehler: "Versuchen Sie Erhöhung der heap-Größe mit java-option "- Xmx " <size>'"

Anzahl der Antworten 5 Antworten
Fehler passiert, wenn ich versuche zu kompilieren Android-Quellcode(Sourcecode-version: 6.0.1; RAM: 6G; host system: ubuntu 14.04),melden Sie sich unter: including ./system/netd/Android.mk ... including ./system/security/keystore-engine/Android.mk ... including ./system/security/keystore/Android.mk ... including ./system/security/softkeymaster/Android.mk ... including ./system/tools/aidl/Android.mk ... including ./system/update_engine/Android.mk ... including

Deaktivieren Manifest Fusion im Android-Gradle-Build

Anzahl der Antworten 5 Antworten
Ich bin mit dem neuen gradle android-autotools. Das Projekt besteht aus zwei android-library-Projekte und ein Hauptprojekt. Mithilfe der ant-build, das manifest Fusion werden muss, aktivieren Sie im Projekt.Eigenschaften. Aber bei Verwendung des gradle-build-system das manifest Fusion ist

Wie definieren v7 appcompat Abhängigkeit richtig?

Anzahl der Antworten 3 Antworten
Ich versuche zu bekommen (geerbt) Android-Projekt zu bauen. Ich bin mit Ant & command line tools (und IDEE). In styles.xml gibt es Referenzen, die nicht aufgelöst werden können, wie: <style name="AppBaseTheme" parent="@style/Theme.AppCompat.Light"> Dies ist der ursprüngliche Fehler,

Mit Gradle mit einem vorhandenen Android-Projekt

Anzahl der Antworten 2 Antworten
Ich ein vorhandenes Android Projekt mit der folgenden Struktur: - ProjectName -- AndroidManifest.xml -- local.properties -- project.properties -- assets -- libs (containing all jars) -- modules (containing all library projects my project depends on) -- res --

"Conversion to Dalvik format failed with error 1" — nur export

Anzahl der Antworten 8 Antworten
Ich weiß, das ist ein wiederholen Sie die Frage, aber ich habe gelesen und versucht jeder Lösung auf dieser Website und ich bin noch immer der Fehler; auch, ich erhalte es NUR, wenn ich exportieren meine signierte

Ist es möglich zu erklären, git-repository als Abhängigkeit im android-gradle?

Anzahl der Antworten 4 Antworten
Will ich mit master version meiner lib aus mavencentral. Ist es möglich zu erklären, git-repository als Abhängigkeit im android-gradle? InformationsquelleAutor der Frage Alexey Zakharov | 2013-09-11

Problem mit dem Speicher nach dem Update der buildToolsVersion '23 .0.1 'im Android Studio

Anzahl der Antworten 7 Antworten
Ich bin immer out of memory Problem sehr oft nach der Aktualisierung buildToolsVersion '22.0.1' zu buildToolsVersion '23.0.1' ich bin wirklich verwirrt und weiß nicht, wie man das Problem beheben, da dieser Fehler zeigt nur mit buildTools version

Android Build: Dex-Jumbo-Modus in Gradle

Anzahl der Antworten 6 Antworten
Bin ich über folgende Zeile in der android-ant-build-Projekt (Projekt.Eigenschaften): dex.force.jumbo=true Nun sind wir auf die Migration von ant auf Gradle. Ist es möglich, jumbo-Modus aktiv ist in Android-Gradle-build? InformationsquelleAutor der Frage endian | 2013-06-26

Wie installiert man Android SDK Build Tools auf der Kommandozeile?

Anzahl der Antworten 18 Antworten
Möchte ich, um den setup-Android-dev-Umgebung von der Befehl-Linie, und auf das folgende Problem: wget http://dl.google.com/android/android-sdk_r22.0.5-linux.tgz nachdem entpacken Sie die Datei, und führen Sie tools/android update sdk --no-ui Allerdings ist es zu langsam läuft Fetching https://dl-ssl.google.com/android/repository/addons_list-2.xml Das Ergebnis

BuildConfig wird nicht korrekt erstellt (Gradle Android)

Anzahl der Antworten 4 Antworten
Ich versuche zu konvertieren, unsere Android-Anwendung zu einem gradle-build. Ich habe das Projekt und die Bibliotheken-Gebäude erfolgreich. Ich bin jetzt versucht, erstellen Sie separate apks für unsere verschiedenen Umgebungen (dev/test/prod unterschiedliche urls für die Rest-Dienste, die Sie

Die Installation ist mit der Nachricht Ungültige Datei fehlgeschlagen

Anzahl der Antworten 13 Antworten
Installation ist fehlgeschlagen, mit der Meldung Ungültige Datei: K:\project\app\build\Intermediate\split-apk\with_ImageProcessor\debug\Scheiben\slice_0.apk. Es ist möglich, dass dieses Problem gelöst durch deinstallation einer vorhandenen version des apk-Datei zu erhalten, wenn es vorhanden ist, und dann neu installieren. WARNUNG: Deinstallieren, entfernen Sie

Führen Sie die Aufgabe vor dem Kompilieren mit dem Android Gradle-Plugin aus

Anzahl der Antworten 5 Antworten
Habe ich eine sehr einfache build.gradle - Datei mit dem folgenden Inhalt: buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.4.1' } } apply plugin: 'android' android { buildToolsVersion "17.0.0" compileSdkVersion 17 sourceSets { main {

Wie Sie Gradle-Abhängigkeiten auf ihre neueste Version aktualisieren

Anzahl der Antworten 4 Antworten
Gibt es einen einfachen Weg, um gradle zu aktualisieren, Abhängigkeiten, Ihre neueste verfügbare version? Für bauen Reproduzierbarkeit alle meine Abhängigkeiten definiert sind, mit einer Versionsnummer, wie in meinem build.gradle-Datei: dependencies { compile 'namespace:package1:version' compile 'namespace:package2:version' compile 'namespace:package3:version'

Ungültiger Fehler der Quellversion 1.7 beim Kompilieren mit Gradle

Anzahl der Antworten 2 Antworten
Ich brauche 1.7 für eine Bibliothek, die verwendet diamond-Operatoren. Folgte ich diese sO Antworten...aber keine Freude. Von gradle build compileSdkVersion 19 buildToolsVersion '19.0.3' compileOptions { sourceCompatibility JavaVersion.VERSION_1_7 targetCompatibility JavaVersion.VERSION_1_7 } defaultConfig { minSdkVersion 10 targetSdkVersion 19 versionCode

Google-play-services_lib Kann das Ziel "android-9" nicht auflösen

Anzahl der Antworten 8 Antworten
Beim start meiner Android ADT die meisten, wenn nicht alle meine Projekte haben ein rotes Ausrufezeichen neben Ihnen. Und wenn ich versuchen, zu bauen und ausführen bekomme ich eine Fehlermeldung: "google-play-services_lib] Unable to resolve target 'android-9'" Ich

Deaktivieren Sie die Android-Ressourcen- / Bild- / PNG-Optimierung

Anzahl der Antworten 5 Antworten
Wie kann ich verhindern, dass die Android - "build-Prozess" von der Optimierung .png-Bilder? Ich habe ein Android-Projekt mit den folgenden res Verzeichnisse: - /res/ - /res/drawable - /res/drawable-hdpi - /res/drawable-hdpi-v5 - /res/drawable-ldpi - /res/drawable-ldpi-v5 - /res/drawable-mdpi -

Beschleunigen Sie die Buildzeit für Android-Projekte in IntelliJ IDEA

Anzahl der Antworten 4 Antworten
Ich Frage mich, ob es irgendeinen Weg gibt, wie man skip packaging and dexing in IntelliJ IDEA wie in Eclipse und ADT. Es ist Additional VM Options Feld in Android-DX-Compiler Abschnitt in IntelliJ Preferencesvielleicht könnte dies ein